All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
tred2.hpp File Reference

optimized CPU tridiagonalization More...

`#include "viennacl/linalg/host_based/sse_kernels.hpp"`
`#include <boost/numeric/ublas/matrix.hpp>`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename ScalarType >
void | viennacl::linalg::inplace_tred2 (boost::numeric::ublas::matrix< ScalarType > const &A, vcl_size_t block_size=1)
| Inplace reduction of a hermitian (or real symmetric) to tridiagonal form using householder similarity transforms (preserving eigenvalues) More...

## Detailed Description

optimized CPU tridiagonalization

Contributed by Alex Christensen.

Definition in file tred2.hpp.